Method: networks.webProperties.adReviewCenterAds.search

Searches for AdReviewCenterAds.

HTTP request

GET https://admanager.googleapis.com/v1/{parent}/adReviewCenterAds:search

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of AdReviewCenterAds. Format: networks/{networkCode}/webProperties/{webPropertyCode}

Since a network can only have a single web property of each ExchangeSyndicationProduct, you can use the ExchangeSyndicationProduct as an alias for the web property code:

networks/{networkCode}/webProperties/display

networks/{networkCode}/webProperties/videoAndAudio

networks/{networkCode}/webProperties/mobileApp

networks/{networkCode}/webProperties/games

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of AdReviewCenterAds to return. The service may return fewer than this value. If unspecified, at most 50 AdReviewCenterAds will be returned. The maximum value is 1000; values greater than 1000 will be coerced to 1000.

pageToken

string

Optional. The page token to fetch the next page of AdReviewCenterAds. This is the value returned from a previous Search request, or empty.

adReviewCenterAdId[]

string

Optional. Only return ads with the given AdReviewCenterAd IDs. If provided, no other filter can be set (other than page size and page token).

dateTimeRange

object (Interval)

Optional. If provided, only return ads that served within the given date range (inclusive). The date range must be within the last 30 days. If not provided, the date range will be the last 30 days.

searchText[]

string

Optional. If provided, restrict the search to AdReviewCenterAds associated with the text (including any text on the ad or in the destination URL). If more than one value is provided, the search will combine them in a logical AND. For example, ['car', 'blue'] will match ads that contain both "car" and "blue", but not an ad that only contains "car".

buyerAccountId[]

string (int64 format)

Optional. If provided, restrict the search to creatives belonging to one of the given Adx buyer account IDs. Only applicable to RTB creatives. Adx buyer account IDs can be found using the ProgrammaticBuyerService.

adResponseId[]

string

Optional. If provided, only return ads with the given ad response IDs. This filter is exclusive and cannot be combined with any other filters. Maximum of 10 IDs can be specified.

advertiserDisplayNames[]

string

Optional. If provided, restrict the search to creatives with the given advertiser names.

languageCodes[]

string

Optional. If provided, restrict the search to creatives serving in the given language codes.

regionCodes[]

string

Optional. If provided, restrict the search to creatives serving in the given region codes.

adTypes[]

enum (ArcCreativeFormat)

Optional. If provided, restrict the search to creatives with the given ad types.

advertiserApps[]

string

Optional. If provided, restrict the search to creatives promoting the given app.

publisherDomains[]

string

Optional. If provided, restrict the search to creatives belonging to the given publisher domain.

labelIds[]

string

Optional. If provided, restrict the search to creatives associated with the given custom label IDs.

The status of the AdReviewCenterAds to return. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
status

enum (AdReviewCenterAdStatus)

Optional. Only return ads with the given status.

manualReviewStatus

enum (ManualAdReviewCenterAdStatus)

Optional. Only return ads with the given manual review status. Only available for networks with Manual Creative Review enabled. For more information, see https://support.google.com/admanager/answer/2586531#manual-creative-review.

End of mutually exclusive fields.
newInLastDays

integer

Optional. If provided, restrict the search to creatives which appeared for the first time within the past X days. Must be within the last 30 days (1 to 30, inclusive).

Request body

The request body must be empty.

Response body

Response object for adReviewCenterAds.search method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "adReviewCenterAds": [
    {
      object (AdReviewCenterAd)
    }
  ],
  "nextPageToken": string
}
Fields
adReviewCenterAds[]

object (AdReviewCenterAd)

The AdReviewCenterAds that match the search request.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.

AdReviewCenterAdStatus

Specifies the status of an AdReviewCenterAd.

Enums
AD_REVIEW_CENTER_AD_STATUS_UNSPECIFIED Not specified value
ALLOWED This ad has been explicitly allowed to serve.
BLOCKED This ad has been explicitly blocked from serving.
UNREVIEWED This ad is allowed to serve by default and has not been reviewed.

ManualAdReviewCenterAdStatus

Specifies the manual review status of a AdReviewCenterAd.

Enums
MANUAL_AD_REVIEW_CENTER_AD_STATUS_UNSPECIFIED Not specified value.
ALLOWED This ad has been explicitly allowed to serve.
BLOCKED This ad has been explicitly blocked from serving.
ARCHIVED This ad is implicitly blocked and has been reviewed.
PENDING This ad is implicitly blocked and has not been reviewed.
SERVING This ad is allowed to serve by default and has not been reviewed.

Interval

Represents a time interval, encoded as a Timestamp start (inclusive) and a Timestamp end (exclusive).

The start must be less than or equal to the end. When the start equals the end, the interval is empty (matches no time). When both start and end are unspecified, the interval matches any time.

JSON representation
{
  "startTime": string,
  "endTime": string
}
Fields
startTime

string (Timestamp format)

Optional. Inclusive start of the interval.

If specified, a Timestamp matching this interval will have to be the same or after the start.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

endTime

string (Timestamp format)

Optional. Exclusive end of the interval.

If specified, a Timestamp matching this interval will have to be before the end.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

ArcCreativeFormat

Specifies the status of an ArcCreativeFormat.

New values may be added in the future.

Enums
ARC_CREATIVE_FORMAT_UNSPECIFIED Not specified value
TEXT Text based creatives.
IMAGE Image creatives.
VIDEO Video creatives.
AUDIO Audio creatives.
APP_INSTALLS Creatives leading to mobile app stores.
RICH_MEDIA Creatives leading to rich media.

AdReviewCenterAd

Represents an ad that can be acted on or viewed in the Ad Review Center. AdReviewCenterAd.

JSON representation
{
  "name": string,
  "adReviewCenterAdId": string,
  "productType": enum (ExchangeSyndicationProduct),
  "status": enum (AdReviewCenterAdStatus),
  "manualReviewStatuses": [
    enum (ManualAdReviewCenterAdStatus)
  ],
  "assetPreviewUrls": [
    string
  ],
  "advertiserDisplayName": string,
  "languageCodes": [
    string
  ],
  "regionCodes": [
    string
  ],
  "adTypes": [
    enum (ArcCreativeFormat)
  ],
  "destinationUrls": [
    string
  ],
  "labelIds": [
    string
  ],
  "previewUrl": string
}
Fields
name

string

Identifier. The resource name of the AdReviewCenterAd. Format: networks/{networkCode}/webProperties/{webPropertyCode}/adReviewCenterAds/{adReviewCenterAdId}

adReviewCenterAdId

string

Output only. AdReviewCenterAd ID.

productType

enum (ExchangeSyndicationProduct)

Output only. Specifies the ExchangeSyndicationProduct for this AdReviewCenterAd.

status

enum (AdReviewCenterAdStatus)

The status of the AdReviewCenterAd.

manualReviewStatuses[]

enum (ManualAdReviewCenterAdStatus)

Output only. The manual review status of the AdReviewCenterAd (for web properties in MCR mode). For MCR mode, a single ad could have multiple statuses (for example, pending and serving at the same time, if the ad is affected by a protection in certain inventory only). This field is not set for the standard mode.

assetPreviewUrls[]

string

Output only. The preview URLs that can be embedded or accessed directly which will present the rendered contents of the ad, each with a different asset. These URLs expire 72 hours after being retrieved.

advertiserDisplayName

string

Output only. The advertiser name of the Ad Review Center ad. Specifies the detected advertiser for Google Display Network (GDN) ads, and individual network name for real-time bidding (RTB) ads.

languageCodes[]

string

Output only. The language codes of the Ad Review Center ad. Languages detected are represented by their BCP 47 code. For example, 'en', 'fr', 'es-419', or 'zh-cn'.

regionCodes[]

string

Output only. The region codes of the Ad Review Center ad.

adTypes[]

enum (ArcCreativeFormat)

Output only. The ad types of the Ad Review Center ad.

destinationUrls[]

string

Output only. The destination URLs of the Ad Review Center ad.

labelIds[]

string

Output only. The labelIds associated with this Ad Review Center ad.

previewUrl

string

Output only. The preview URL that can be embedded or accessed directly which will present the rendered contents of the ad. This URL expires 72 hours after being retrieved.

ExchangeSyndicationProduct

Ad Exchange syndication product.

Enums
EXCHANGE_SYNDICATION_PRODUCT_UNSPECIFIED No value specified
DISPLAY Property serves in-browser.
MOBILE_APP Property serves on mobile applications (includes JS and SDK).
VIDEO_AND_AUDIO Property serves video (includes audio).
GAMES Property serves for games.